<?php

include_once("../../formularios/data/connect.php");

if (stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml"))
	header("Content-type: application/xhtml+xml");
else
	header("Content-type: text/xml");
				
$op = $_GET['op'] ? $_GET['op'] : '';

print '<?xml version="1.0" encoding="utf-8"?>'."\n".
		'<rows>'."\n";

switch($op)
{
	case 'depto':
		$query = "SELECT D.IdDepartamento, D.Nombre, AVG(EvaluacionGeneral) AS Evaluacion, SUM(Actual) AS Gasto, COUNT(P.IdPrograma) AS Cont FROM departamentos D INNER JOIN programas P ON D.IdDepartamento = P.IdDepartamento INNER JOIN presupuestos R ON P.IdPrograma = R.IdPrograma LEFT JOIN evaluaciones E ON P.IdPrograma = E.IdPrograma WHERE R.Periodo = ".date('Y')." GROUP BY D.Nombre";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdDepartamento'].'">
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}
		break;

	case 'ente':
		$query = "SELECT N.IdEntidad, N.Nombre, AVG(EvaluacionGeneral) AS Evaluacion, SUM(Actual) AS Gasto, COUNT(P.IdPrograma) AS Cont FROM entidades N INNER JOIN programas P ON N.IdEntidad = P.IdEntidad INNER JOIN presupuestos R ON P.IdPrograma = R.IdPrograma LEFT JOIN evaluaciones E ON P.IdPrograma = E.IdPrograma WHERE R.Periodo = ".date('Y')." GROUP BY N.IdEntidad";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdEntidad'].'">
					   <cell>'.utf8_encode($row['Nombre']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}
		break;

	case 'func':
		$query = "SELECT F.IdFuncion, F.Descripcion, AVG(EvaluacionGeneral) AS Evaluacion, SUM(Actual) AS Gasto, COUNT(P.IdPrograma) AS Cont FROM funciones F INNER JOIN programas P ON F.IdFuncion = P.IdFuncion INNER JOIN presupuestos R ON P.IdPrograma = R.IdPrograma LEFT JOIN evaluaciones E ON P.IdPrograma = E.IdPrograma WHERE R.Periodo = ".date('Y')." GROUP BY F.Descripcion";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdFuncion'].'">
					   <cell>'.utf8_encode($row['Descripcion']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}
		break;

	case 'prog':
		$query = "SELECT P.IdPrograma, P.Codigo, P.Nombre AS Titulo, D.Nombre AS Departamento, T.Descripcion AS Tipo, AVG(EvaluacionGeneral) AS Evaluacion, SUM(Actual) AS Gasto FROM departamentos D INNER JOIN programas P ON D.IdDepartamento = P.IdDepartamento INNER JOIN presupuestos R ON P.IdPrograma = R.IdPrograma INNER JOIN tipos T ON P.IdTipo = T.IdTipo LEFT JOIN evaluaciones E ON P.IdPrograma = E.IdPrograma WHERE R.Periodo = ".date('Y')." GROUP BY P.IdPrograma";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdPrograma'].'">
					   <cell><![CDATA[<a href="/programa?buscid='.$row['IdPrograma'].'">'.utf8_encode($row['Codigo']).'</a>]]></cell>
					   <cell>'.utf8_encode($row['Titulo']).'</cell>
					   <cell>'.utf8_encode($row['Departamento']).'</cell>
					   <cell>'.utf8_encode($row['Tipo']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}
		break;
	
	case 'tipo':
		$query = "SELECT T.IdTipo, T.Descripcion, AVG(EvaluacionGeneral) AS Evaluacion, SUM(Actual) AS Gasto, COUNT(P.IdPrograma) AS Cont FROM tipos T INNER JOIN programas P ON T.IdTipo = P.IdTipo INNER JOIN presupuestos R ON P.IdPrograma = R.IdPrograma LEFT JOIN evaluaciones E ON P.IdPrograma = E.IdPrograma WHERE R.Periodo = ".date('Y')." GROUP BY T.Descripcion";
		$RS = mysql_query($query);
		while($row = mysql_fetch_array($RS))
		{
			print '<row id="'.$row['IdTipo'].'">
					   <cell>'.utf8_encode($row['Descripcion']).'</cell>
					   <cell>'.number_format($row['Evaluacion'],1).'</cell>
					   <cell>'.number_format($row['Gasto'],0).' €</cell>
					   <cell>'.$row['Cont'].'</cell>
				   </row>';
		}
		break;
}

print '</rows>';

?>